Mailinglist Archive: opensuse-updates (26 mails)

< Previous Next >
openSUSE-SU-2012:0469-1: moderate: update for nginx-1.0
openSUSE Security Update: update for nginx-1.0
______________________________________________________________________________

Announcement ID: openSUSE-SU-2012:0469-1
Rating: moderate
References: #752482
Cross-References: CVE-2012-1180
Affected Products:
openSUSE 12.1
openSUSE 11.4
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

specially crafted http responses from upstream server could
leak already freed memory


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.1:

zypper in -t patch openSUSE-2012-209

- openSUSE 11.4:

zypper in -t patch openSUSE-2012-209

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.1 (i586 x86_64):

nginx-1.0-1.0.10-3.4.1
nginx-1.0-debuginfo-1.0.10-3.4.1
nginx-1.0-debugsource-1.0.10-3.4.1

- openSUSE 11.4 (i586 x86_64):

nginx-0.8-0.8.53-4.14.1
nginx-0.8-debuginfo-0.8.53-4.14.1
nginx-0.8-debugsource-0.8.53-4.14.1


References:

http://support.novell.com/security/cve/CVE-2012-1180.html
https://bugzilla.novell.com/752482


< Previous Next >
This Thread
  • No further messages